

fs/nfsd/nfs4proc.c: In function `nfsd4_open':
fs/nfsd/nfs4proc.c:109: warning: field width is not type int (arg 2)
fs/nfsd/nfs4state.c: In function `nfsd4_open_confirm':
fs/nfsd/nfs4state.c:1498: warning: field width is not type int (arg 2)
fs/nfsd/nfs4state.c: In function `nfsd4_open_downgrade':
fs/nfsd/nfs4state.c:1532: warning: field width is not type int (arg 2)
fs/nfsd/nfs4state.c: In function `nfsd4_close':
fs/nfsd/nfs4state.c:1571: warning: field width is not type int (arg 2)



 fs/nfsd/nfs4proc.c  |    3 ++-
 fs/nfsd/nfs4state.c |    6 +++---
 2 files changed, 5 insertions(+), 4 deletions(-)

diff -puN fs/nfsd/nfs4proc.c~nfs4proc-warnings-fix fs/nfsd/nfs4proc.c
--- 25/fs/nfsd/nfs4proc.c~nfs4proc-warnings-fix	2003-08-26 13:38:19.000000000 -0700
+++ 25-akpm/fs/nfsd/nfs4proc.c	2003-08-26 13:38:19.000000000 -0700
@@ -106,7 +106,8 @@ static inline int
 nfsd4_open(struct svc_rqst *rqstp, struct svc_fh *current_fh, struct nfsd4_open *open)
 {
 	int status;
-	dprintk("NFSD: nfsd4_open filename %.*s\n",open->op_fname.len, open->op_fname.data);
+	dprintk("NFSD: nfsd4_open filename %.*s\n",
+		(int)open->op_fname.len, open->op_fname.data);
 
 	/* This check required by spec. */
 	if (open->op_create && open->op_claim_type != NFS4_OPEN_CLAIM_NULL)
diff -puN fs/nfsd/nfs4state.c~nfs4proc-warnings-fix fs/nfsd/nfs4state.c
--- 25/fs/nfsd/nfs4state.c~nfs4proc-warnings-fix	2003-08-26 13:38:19.000000000 -0700
+++ 25-akpm/fs/nfsd/nfs4state.c	2003-08-26 13:38:19.000000000 -0700
@@ -1494,7 +1494,7 @@ nfsd4_open_confirm(struct svc_rqst *rqst
 	struct nfs4_stateid *stp;
 
 	dprintk("NFSD: nfsd4_open_confirm on file %.*s\n",
-			current_fh->fh_dentry->d_name.len,
+			(int)current_fh->fh_dentry->d_name.len,
 			current_fh->fh_dentry->d_name.name);
 	oc->oc_stateowner = NULL;
 	down(&client_sema); /* XXX need finer grained locking */
@@ -1528,7 +1528,7 @@ nfsd4_open_downgrade(struct svc_rqst *rq
 	struct nfs4_stateid *stp;
 
 	dprintk("NFSD: nfsd4_open_downgrade on file %.*s\n", 
-			current_fh->fh_dentry->d_name.len, 
+			(int)current_fh->fh_dentry->d_name.len,
 			current_fh->fh_dentry->d_name.name);
 
 	down(&client_sema); /* XXX need finer grained locking */
@@ -1567,7 +1567,7 @@ nfsd4_close(struct svc_rqst *rqstp, stru
 	struct nfs4_stateid *stp;
 
 	dprintk("NFSD: nfsd4_close on file %.*s\n", 
-			current_fh->fh_dentry->d_name.len, 
+			(int)current_fh->fh_dentry->d_name.len,
 			current_fh->fh_dentry->d_name.name);
 
 	down(&client_sema); /* XXX need finer grained locking */

_
